/* ESTILOS GENERALES */
:root {
    --titulo: clamp(2.5rem, 3vw, 3.5rem);
    --subtitulo: clamp(1.8rem, 2vw, 3rem);
    --texto: clamp(1rem, 1.5vw, 2rem);
    --textoMini: clamp(0.5rem, 1vw, 2rem);
    --accento : #6da2ff;
    --principal :  #8b71a7;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Quicksand', 'Arial Round MT Bold', sans-serif;
}

html {
    overflow-x: hidden;
}

body {
    width: 100vw;
    color: #333;
    display: flex;
    flex-direction: column;
    align-items: center;
}

main {
    max-width :100vw;
    display: flex;
    flex: 1;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}



/* NAVBAR */
.navbar {
    width: 100%;
    background-color: var(--principal);
    color: white;
    padding: 15px;
    text-align: center;
}

.logo {
    font-size: var(--subtitulo);
    margin-bottom: 12px;
}

.nav-links {
    display: flex;
    flex-wrap: wrap;
    padding: 1.2rem;
    justify-content: space-around;
    font-size: clamp (1rem, 1.5rem, 2rem);
}

.nav-links a {
    color: white;
    text-decoration: none;
    transition: opacity 0.2s;
}

.nav-links a:hover {
    opacity: 0.8;
}

/* HERO SECTION */
.hero {
    width: 100%;
    background-color: var(--accento);
    color: white;
    text-align: center;
    padding: 30px 20px;
}

.badge-hero {
    background-color: var(--principal);
    padding: 6px 16px;
    border-radius: 15px;
    font-size: var(--texto);
    display: inline-block;
    margin-bottom: 15px;
}

.hero h1 {
    font-size: var(--titulo);
    font-weight: 500;
    margin-bottom: 5px;
}

.subtitle {
    font-size: var(--texto);
    opacity: 0.9;
}

/* BOTONES OVALADOS */
.pill-btn {
    background-color: var(--principal);
    color: white;
    padding: 8px 30px;
    border-radius: 15px;
    font-size: var(--texto);
    display: inline-block;
    margin: 20px 0;
    text-align: center;
}

/* SOBRE MÍ */
.about-container {
    width: 90%;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 4rem;
    margin-top: 5rem;
}

.profile {
    display: flex;
    justify-content: flex-end;
}


.profile img {
    width:100%:
    object-fit: cover;
}

.about-text {
    width: 75%;
    display: flex;
    flex-direction: column;
    align-items: first baseline;
    justify-content: space-evenly;
}

.about-card {
    background-color: var(--principal);
    color: white;
    padding: 1.2rem;
    border-radius: 8px;
}

.about-card p {
    font-size: var(--texto);
    text-align: justify;
}



/* SECCIONES CENTRADAS */
.section-center {
    width: 80%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 10rem;
}


/* PROYECTOS GRID */
.projects-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
    gap: 1.5rem;
    width: 100%;
    place-content: center;
}

.img-box {
    position: relative;
    background-color: #4a7596;
    height: 40vh;
    border-radius: 8px;
    overflow: hidden;
    cursor: pointer;
    object-fit: cover;
    transition: transform 0.6s ease, box-shadow 0.3s ease;
}

.img-box:hover {
    transform: scale(1.05);
    box-shadow: 0px 8px 20px rgba(0, 0, 0, 0.3);
    z-index: 10;
}

/* ESTILOS PARA LAS IMÁGENES */
.carousel-track {
    width: 100%;
    height: 100%;
    position: relative;
}

.carousel-track img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    opacity: 0;
    transition: opacity 0.6s ease-in-out;
}


.carousel-track img.active {
    opacity: 1;
}


/* SOFTWARES SLIDER */

.section-software {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow: hidden;
}

.section-software span {
    width: auto;
}

.software-slider {
    width: 100%;
    overflow: hidden;
    padding: 30px 0;
}

/* TIRA MOVIÉNDOSE EN LOOP */
.software-track {
    display: flex;
    gap: 1.5rem;
    animation: scrollLoop 6s linear infinite;
}

/* Pausa el movimiento si el usuario pone el mouse encima */
.software-slider:hover .software-track {
    animation-play-state: paused;
}

/* ESTILO DE CADA CÍRCULO */
.circle-box {
    width: 5%;
    height: 5%;
    background-color: #4a7596;
    border-radius: 50%;
    overflow: hidden;
    flex-shrink: 0;
}

.circle-box img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

/* ANIMACIÓN DEL MOVIMIENTO CONTINUO */
@keyframes scrollLoop {
    0% {
        transform: translateX(0);
    }

    100% {

        transform: translateX(calc(-50% - 12.5px));
    }
}

/* CONTACTO */

.section-contacto {
    margin-top: 10vw;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.social-card {
    background-color: var(--principal);
    color: white;
    max-width: 50%;
    padding: 15px;
    border-radius: 8px;
    font-size: var(--texto);
    text-align: center;
    line-height: 1.6;
    margin-bottom: 20px;
}

/* FORMULARIO */
.contact-card {
    background-color: var(--principal);
    color: white;
    width: 45%;
    padding: 20px;
    border-radius: 15px;
    margin-bottom: 30px;
}

.contact-card h2 {
    font-size: var(--subtitulo);
    text-align: center;
    margin-bottom: 2.5rem;
    font-weight: 500;
}

.form-group {
    display: flex;
    flex-direction: column;
    margin-bottom: 2rem;
}

.form-group label {
    font-size: var(--texto);
    margin-bottom: 0.5rem;
}

.form-group small {
    font-size: var(--texto);
    margin-top: 3px;
    opacity: 0.8;
}

input,
textarea {
    border: none;
    background-color: var(--accento);
    border-radius: 8px;
    padding: 1rem;
    color: white;
    outline: none;
    font-size: var(--texto);
}

input::placeholder,
textarea::placeholder {
    color: rgba(255, 255, 255, 0.7);
    font-size: var(--textoMini);
}

textarea {
    height: 12vw;
    resize: none;
}

.btn-send {
    width: 100%;
    background-color: var(--accento);
    color: white;
    border: none;
    padding: 10px;
    border-radius: 8px;
    font-weight: bold;
    cursor: pointer;
    margin-top: 10px;
}

.btn-send:hover {
    opacity: 0.9;
}


iframe {
    width: 800px;
    height: 880px;
}


.instagram-wrapper {
    margin-top: 10rem;
}


footer {
    display: flex;
    width: 100%;
    background-color: var(--accento);
    text-align: center;
    color: aliceblue;
    margin-top:10rem;
    height: 5vw;
    justify-content: center;
    align-items: center;
    box-shadow: 0 0 30px #616060;
    font-size: var(--textoMini);
}


@media (max-width: 760px) {
    .profile {
        justify-content: center;
    }

    .profile img {
        width: 100%;
        object-fit: contain;
    }

    .about-text {
        overflow: hidden;
        width: 100%;
        align-items: center;
        justify-content: center;
        margin: 0 auto;
    }

    .circle-box {
        width: 10%;
        height: 10%;
    }


    .projects-grid {
        place-content: center;
    }


    .section-center {
        margin-top: 5rem;
    }

    .section-software {
        margin-top: 5rem;
    }

    .img-box {
        height: 30vh;
    }

    .instagram-wrapper {
        margin-top: 5rem;
    }

    iframe {
        max-width: fit-content;
        max-height: 280px;
    }

    .social-card {
        width: 40%;
        font-size: var(--textoMini);
    }

    .contact-card {
        width: 70%;
    }

    
footer {
    margin-top:1.5rem;
    height: 10vw;
}


}